<template>
    <div>
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Item Name</label>
                    <input type="text" name="name" v-model="form_data.name" id="itemName" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Calories</label>
                    <input type="text" name="name" v-model="form_data.calories" id="itemCalories" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Preparation Time</label>
                    <input type="text" name="preparationtime" v-model="form_data.preparationtime" id="itemPreparationtime" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Alergy info</label>
                    <input type="text" name="alergyinfo" v-model="form_data.alergyinfo" id="itemAlergyinfo" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Spices</label>
                    <input type="text" name="spice" v-model="form_data.spice" id="itemSpice" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Item Name</label>
                    <input type="text" name="name" v-model="form_data.name" id="itemName" class="form-control"
                           @change="formChanged"/>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Item Price</label>
                    <input @change="formChanged" type="number" name="price" v-model="form_data.price" id="itemPrice"
                           class="form-control"/>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label>Item Description</label>
            <textarea @change="formChanged" name="description" id="itemDesc" v-model="form_data.description" cols="30"
                      rows="3"
                      class="form-control"></textarea>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <label>Food Category</label>
                    <select @change="formChanged" v-model="form_data.food_type" name="food_type"
                            class="foodCategory w-sm-100 form-control"
                            id="foodCategory">
                        <option :value="food_category.id"
                                v-for="food_category in food_categories">
                            {{food_category.name}}
                        </option>
                    </select>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <label>Item Image</label>
                <div class="custom-file">
                    <input type="file" class="custom-file-input" ref="itemImg"
                           @change="uploadImage" id="itemImg"
                           name="image"/>
                    <label class="custom-file-label" for="itemImg">itemImage</label>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label>Link To Menu Section</label>
                    <select @change="formChanged" name="menu_section_id" v-model="form_data.menu_section_id"
                            class="menuSection w-sm-100 form-control"
                            id="menuSection">
                        <option :value="food_section.id"
                                v-for="food_section in food_sections">{{food_section.name}}
                        </option>
                    </select>
                </div>
            </div>
        </div>
        <!--        <button @click.prevent="testStore">test store</button>-->
    </div>
</template>
<script>

    export default {
        name: "merchant_foodItemDetailForm",
        data() {
            return {
                form_data: {
                    name: '',
                    calories: '',
                    preparationtime: '',
                    alergyinfo: '',
                    spice: '',
                    price: '',
                    description: '',
                    food_type: 0,
                    menu_section_id: 0,
                    restaurant_id: new URL(window.location.href).searchParams.get("restaurant"),
                },
                image: '',
                food_categories: [],
                food_sections: [],
                restaurant_id: new URL(window.location.href).searchParams.get("restaurant"),

            }

        },
        methods: {
            uploadImage(event) {
                this.image = event.target.files[0];
                this.$emit('data_updated', {form_data: this.form_data, image: this.image});
            },
            testStore() {


                let formData = new FormData();

                formData.append('image', this.image);
                formData.set('form_data', JSON.stringify(this.form_data));

                axios({
                    method: 'post',
                    url: '/admin/food-item',
                    data: formData,
                    config: {headers: {'Content-Type': 'multipart/form-data'}}
                })
                    .then(function (response) {
                        //handle success
                        console.log(response);
                    })
                    .catch(function (response) {
                        //handle error
                        console.log(response);
                    });

            },
            getMenuNFoodSections() {
                let self = this;
                axios.get('/menunfoodsections').then((res) => {
                    console.log(res);
                    self.food_sections = res.data.food_sections;
                    self.food_categories = res.data.food_categories;
                });

            },
            formChanged() {
                this.$emit('data_updated', {form_data: this.form_data, image: this.image});
            }
        },

        mounted() {
            this.getMenuNFoodSections();
        }
    };
</script>

<style>
</style>
